docker-jellyfin (10.10.3-7e4634)
Published 2025-01-06 07:35:49 +00:00 by eric
Installation
docker pull git.ericxliu.me/eric/docker-jellyfin:10.10.3-7e4634
sha256:386d499032656e527357145a18ad848684ca7de91544fdf033d88ea94b179c0a
About this package
Jellyfin media server with yt-dlp and ffmpeg support
Image Layers
COPY /root-out/ / # buildkit |
ARG BUILD_DATE=2025-01-03T19:58:03+00:00 |
ARG VERSION=f53cdef0-ls24 |
ARG MODS_VERSION=v3 |
ARG PKG_INST_VERSION=v1 |
ARG LSIOWN_VERSION=v1 |
ARG WITHCONTENV_VERSION=v1 |
LABEL build_version=Linuxserver.io version:- f53cdef0-ls24 Build-date:- 2025-01-03T19:58:03+00:00 |
LABEL maintainer=TheLamer |
ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/docker-mods.v3 /docker-mods # buildkit |
ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/package-install.v1 /etc/s6-overlay/s6-rc.d/init-mods-package-install/run # buildkit |
ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/lsiown.v1 /usr/bin/lsiown # buildkit |
ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/with-contenv.v1 /usr/bin/with-contenv # buildkit |
ARG DEBIAN_FRONTEND=noninteractive |
ENV HOME=/root LANGUAGE=en_US.UTF-8 LANG=en_US.UTF-8 TERM=xterm S6_CMD_WAIT_FOR_SERVICES_MAXTIME=0 S6_VERBOSITY=1 S6_STAGE2_HOOK=/docker-mods VIRTUAL_ENV=/lsiopy PATH=/lsiopy/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin |
COPY sources.list /etc/apt/ # buildkit |
RUN |7 BUILD_DATE=2025-01-03T19:58:03+00:00 VERSION=f53cdef0-ls24 MODS_VERSION=v3 PKG_INST_VERSION=v1 LSIOWN_VERSION=v1 WITHCONTENV_VERSION=v1 DEBIAN_FRONTEND=noninteractive /bin/sh -c echo "**** Ripped from Ubuntu Docker Logic ****" && rm -f /etc/apt/sources.list.d/ubuntu.sources && set -xe && echo '#!/bin/sh' > /usr/sbin/policy-rc.d && echo 'exit 101' >> /usr/sbin/policy-rc.d && chmod +x /usr/sbin/policy-rc.d && dpkg-divert --local --rename --add /sbin/initctl && cp -a /usr/sbin/policy-rc.d /sbin/initctl && sed -i 's/^exit.*/exit 0/' /sbin/initctl && echo 'force-unsafe-io' > /etc/dpkg/dpkg.cfg.d/docker-apt-speedup && echo 'DPkg::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' > /etc/apt/apt.conf.d/docker-clean && echo 'APT::Update::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' >> /etc/apt/apt.conf.d/docker-clean && echo 'Dir::Cache::pkgcache ""; Dir::Cache::srcpkgcache "";' >> /etc/apt/apt.conf.d/docker-clean && echo 'Acquire::Languages "none";' > /etc/apt/apt.conf.d/docker-no-languages && echo 'Acquire::GzipIndexes "true"; Acquire::CompressionTypes::Order:: "gz";' > /etc/apt/apt.conf.d/docker-gzip-indexes && echo 'Apt::AutoRemove::SuggestsImportant "false";' > /etc/apt/apt.conf.d/docker-autoremove-suggests && mkdir -p /run/systemd && echo 'docker' > /run/systemd/container && echo "**** install apt-utils and locales ****" && apt-get update && apt-get upgrade -y && apt-get install -y apt-utils locales && echo "**** install packages ****" && apt-get install -y catatonit cron curl gnupg jq netcat-openbsd systemd-standalone-sysusers tzdata && echo "**** generate locale ****" && locale-gen en_US.UTF-8 && echo "**** create abc user and make our folders ****" && useradd -u 911 -U -d /config -s /bin/false abc && usermod -G users abc && mkdir -p /app /config /defaults /lsiopy && echo "**** cleanup ****" && userdel ubuntu && apt-get autoremove && apt-get clean && rm -rf /tmp/* /var/lib/apt/lists/* /var/tmp/* /var/log/* # buildkit |
COPY root/ / # buildkit |
ENTRYPOINT ["/init"] |
ENV LSIO_FIRST_PARTY=true |
ARG BUILD_DATE=2025-01-03T20:08:17+00:00 |
ARG VERSION=10.10.3ubu2404-ls46 |
ARG JELLYFIN_RELEASE=10.10.3+ubu2404 |
LABEL build_version=Linuxserver.io version:- 10.10.3ubu2404-ls46 Build-date:- 2025-01-03T20:08:17+00:00 |
LABEL maintainer=thelamer |
ARG DEBIAN_FRONTEND=noninteractive |
ENV NVIDIA_DRIVER_CAPABILITIES=compute,video,utility |
RUN |4 BUILD_DATE=2025-01-03T20:08:17+00:00 VERSION=10.10.3ubu2404-ls46 JELLYFIN_RELEASE=10.10.3+ubu2404 DEBIAN_FRONTEND=noninteractive /bin/sh -c echo "**** install jellyfin *****" && curl -s https://repo.jellyfin.org/ubuntu/jellyfin_team.gpg.key | gpg --dearmor | tee /usr/share/keyrings/jellyfin.gpg >/dev/null && echo 'deb [arch=amd64 signed-by=/usr/share/keyrings/jellyfin.gpg] https://repo.jellyfin.org/ubuntu noble main' > /etc/apt/sources.list.d/jellyfin.list && if [ -z ${JELLYFIN_RELEASE+x} ]; then JELLYFIN_RELEASE=$(curl -sX GET https://repo.jellyfin.org/ubuntu/dists/noble/main/binary-amd64/Packages |grep -A 7 -m 1 'Package: jellyfin-server' | awk -F ': ' '/Version/{print $2;exit}'); fi && apt-get update && apt-get install -y --no-install-recommends at jellyfin=${JELLYFIN_RELEASE} mesa-va-drivers xmlstarlet && echo "**** cleanup ****" && rm -rf /tmp/* /var/lib/apt/lists/* /var/tmp/* # buildkit |
COPY root/ / # buildkit |
EXPOSE map[8096/tcp:{} 8920/tcp:{}] |
VOLUME [/config] |
USER root |
RUN /bin/sh -c apt-get update && apt-get install -y python3 python3-pip ffmpeg yt-dlp && apt-get clean && rm -rf /var/lib/apt/lists/* && ln -s /usr/bin/yt-dlp /usr/local/bin/youtube-dl # buildkit |
LABEL maintainer=eric@ericxliu.me org.opencontainers.image.description=Jellyfin media server with yt-dlp and ffmpeg support org.opencontainers.image.version=10.10.3-ytdlp |
Labels
Key | Value |
---|---|
build_version | Linuxserver.io version:- 10.10.3ubu2404-ls46 Build-date:- 2025-01-03T20:08:17+00:00 |
maintainer | eric@ericxliu.me |
org.opencontainers.image.authors | linuxserver.io |
org.opencontainers.image.created | 2025-01-03T20:08:17+00:00 |
org.opencontainers.image.description | Jellyfin media server with yt-dlp and ffmpeg support |
org.opencontainers.image.documentation | https://docs.linuxserver.io/images/docker-jellyfin |
org.opencontainers.image.licenses | GPL-3.0-only |
org.opencontainers.image.ref.name | a676cad649b8e4e7693f4ac322e5aaf304e85dab |
org.opencontainers.image.revision | a676cad649b8e4e7693f4ac322e5aaf304e85dab |
org.opencontainers.image.source | https://github.com/linuxserver/docker-jellyfin |
org.opencontainers.image.title | Jellyfin |
org.opencontainers.image.url | https://github.com/linuxserver/docker-jellyfin/packages |
org.opencontainers.image.vendor | linuxserver.io |
org.opencontainers.image.version | 10.10.3-ytdlp |
Details
2025-01-06 07:35:49 +00:00
Versions (5)
View all
Container
0
OCI / Docker
linux/amd64
linuxserver.io
GPL-3.0-only
574 MiB
10.10.3
2025-01-06
latest
2025-01-06
10.10.3-db0f5d
2025-01-06
10.10.3-7e4634
2025-01-06
10.10.3-2025-01-06-099915
2025-01-06